Subject: categories: gentle introduction to CT?

From: "Stephen Davies" <[email-masked]>
Date: Thu, 10 Aug 2006 17:19:05 -0400

Hello all, I'm a complete novice to Category Theory, and I'm looking for
some kind of tutorial or other introductory material that would help me
at least get up to speed with the basics.  Maybe something that assumed
some discrete math and abstract algebra, and proceeded to develop the
topic for beginners.  Are there any intro texts like that out there?
(And if not, would someone please write and publish one? :->)

    Thanks,

- Stephen Davies
  ([email-masked])